# NiftyServices documentation

---

## :us: :fr: :jp: I18n Support :uk: :es: :de:

As you see in the above examples, with `NiftyServices` you can respond in multiples languages for the same service error messages, by default your locales config file must be configured as:

```yml
 # attention: dont use `resource_type`
 # use the key setup up in `record_error_key` methods
 resource_type:
   not_found: "Invalid or not found post"
      cant_create: "Can't delete this record"
      cant_read: "Can't access this record"
      cant_update: "Can't delete this record"
      cant_delete: "Can't delete this record"
 users:
   not_found: "Invalid or not found user"
```

You can configure the default I18n namespace using configuration:

```ruby
NiftyServies.configure do |config|
  config.i18n_namespace = :my_app
end
```

Example config for `Post` and `Comment` resources using `my_app` locale namespace:

```yml
# default is nifty_services
my_app:
 errors:
  default_crud: &default_crud
    cant_create: "Can't delete this record"
    cant_read: "Can't access this record"
    cant_update: "Can't delete this record"
    cant_delete: "Can't delete this record"
  users:
   not_found: "Invalid or not found user"
  posts:
    <<: *default_crud
    not_found: "Invalid or not found post"
  comments:
    <<: *default_crud
    not_found: "Invalid or not found comment"
```

---

### Next

See [Callbacks](./callbacks.md)
